For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTCreate a Comment
      • POSTCreate a Like on a Comment
      • DELDelete a Comment
      • DELDelete a like from a comment
      • GETGet a Comment by ID
      • GETGet all the Comments and Replies from a Comment thread
      • GETGet comments and replies
      • GETGet impressions
      • POSTLeave a Reply on a Comment
      • DELMark a Comment as Uncompleted
      • POSTMark completed
      • PUTUpdate a Comment

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceComments

Mark a Comment as Uncompleted

DELETE
https://api.frame.io/v2/comments/:comment_id/complete
DELETE
/v2/comments/:comment_id/complete
1import requests
2
3url = "https://api.frame.io/v2/comments/comment_id/complete"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.delete(url, headers=headers)
8
9print(response.json())
1{
2 "annotation": "[...]",
3 "completed": false,
4 "completed_at": "2020-07-15T17:30:00.906305Z",
5 "completer_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
6 "has_replies": true,
7 "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
8 "like_count": 10,
9 "owner": {
10 "email": "jane@frame.io",
11 "name": "Jane Doe",
12 "account_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
13 "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa"
14 },
15 "owner_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
16 "text": "This is a comment.",
17 "timestamp": 60
18}

If a Comment has been marked Completed, you can reset its to Uncompleted by hitting this endpoint.

Was this page helpful?
Previous

Mark completed

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

comment_idstringRequiredformat: "uuid"

Response

Comment success response
annotationstring
completedboolean
completed_atstring
completer_idstringformat: "uuid"
has_repliesboolean
idstringformat: "uuid"
like_countinteger
ownerobject
User model
owner_idstringformat: "uuid"
textstring
timestampinteger

Errors

401
Unauthorized Error
404
Not Found Error